# Class TOLEEnumFormatEtc

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFOLEDragAndDrop

## Declaration

`type TOLEEnumFormatEtc = class(TInterfacedObject, IEnumFormatEtc)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TOLEEnumFormatEtc

## Overview

### Fields

| `FIndex: integer;`
| `FNumFormats: integer;`
| `FFormatArray: TOLEFormatArray;`

### Methods

| `procedure CopyFromFormatArray(const aSrcFormatArray : TOLEFormatArray);`
| `procedure CopyFormatEtc(var aDstFormatEtc : TFormatEtc; const aSrcFormatEtc : TFormatEtc);`
| `constructor Create; overload;`
| `constructor Create(const aFormatArray : TOLEFormatArray; aNumFormats : integer; aIndex : integer = 0); overload;`
| `destructor Destroy; override;`
| `function Next(Celt: ULONG; out Rgelt: FormatEtc; pceltFetched: PULONG = nil): HRESULT; stdcall;`
| `function Skip(Celt: ULONG): HRESULT; stdcall;`
| `function Reset: HRESULT; stdcall;`
| `function Clone(out Enum: IEnumFormatEtc): HRESULT; stdcall;`

## Description

### Fields

| `FIndex: integer;`
This item has no description.

| `FNumFormats: integer;`
This item has no description.

| `FFormatArray: TOLEFormatArray;`
This item has no description.

### Methods

| `procedure CopyFromFormatArray(const aSrcFormatArray : TOLEFormatArray);`
This item has no description.

| `procedure CopyFormatEtc(var aDstFormatEtc : TFormatEtc; const aSrcFormatEtc : TFormatEtc);`
This item has no description.

| `constructor Create; overload;`
This item has no description.

| `constructor Create(const aFormatArray : TOLEFormatArray; aNumFormats : integer; aIndex : integer = 0); overload;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function Next(Celt: ULONG; out Rgelt: FormatEtc; pceltFetched: PULONG = nil): HRESULT; stdcall;`
IEnumFormatEtc

| `function Skip(Celt: ULONG): HRESULT; stdcall;`
This item has no description.

| `function Reset: HRESULT; stdcall;`
This item has no description.

| `function Clone(out Enum: IEnumFormatEtc): HRESULT; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.